Author Topic: I can not install virtuemart  (Read 2051 times)

mieciow

  • Beginner
  • *
  • Posts: 20
I can not install virtuemart
« on: August 31, 2011, 23:09:53 pm »
Hello everybody
To going crazy in a terminal to install the virtuemart Joomla 1.5.15
Php version: 5.2.17
MySQL: 5.5.12-log
Apache: 2.2.19

I'm on the way ftp
But it also hit the permission of all directories to try to make it work

I try with the version VirtueMart_1.1.4-COMPLETE_PACKAGE.j15
by clicking on the shop go directly to
got the error:
install sample data
Update Log
Critical Error:
Some Core Files for VirtueMart are missing, but They Are required for installing and running VirtueMart. If you see this message it's recommended to attempt the Manual Installation of VirtueMart!
Click here to return to Joomla!

I downloaded version com_virtuemart_1.1.9.j15
by clicking on the shop go directly to
got the error:
install sample data
Update Log
Critical Error:
Some Core Files for VirtueMart are missing, but They Are required for installing and running VirtueMart. If you see this message it's recommended to attempt the Manual Installation of VirtueMart!
Click here to return to Joomla!


I tried the-installation-VirtueMart_Manual Package_1.0.15
Follow the instructions and got the error
Direct Access to this location is not allowed.

Installation-On-VirtueMart_Manual Package_1.0.15
I tried to change the TYPE = MyISAM ENGINE = MyISAM for, but the error still insists
Direct Access to this location is not allowed.

In the archives
VirtueMart_1.1.4-COMPLETE_PACKAGE.j15
com_virtuemart_1.1.9.j15
We also tried to make modicação (for TYPE = MyISAM ENGINE = MyISAM) but could not find the source code.

And now what do I make virtuemart to work on this site?
Thanks
Miécio

VM_Fans

  • Full Member
  • ***
  • Posts: 251
Re: I can not install virtuemart
« Reply #1 on: September 02, 2011, 10:27:22 am »
change the chmod 777 to all folders in /components/com_virtuemart and
/administrator/com_virtuemart and after that click the button install sample data in joomla.

jenkinhill

  • Global Moderator
  • Super Hero
  • *
  • Posts: 20543
  • On vacation
    • Jenkin Hill Internet
Re: I can not install virtuemart
« Reply #2 on: September 02, 2011, 12:22:43 pm »
See http://forum.virtuemart.net/index.php?topic=79709.msg263506#msg263506 and http://forum.virtuemart.net/index.php?topic=81124.0. Note that the last version for which there is a manual install package is VM1.1.5 - http://dev.virtuemart.net/projects/virtuemart/files  - once installed you can update it to the latest.

A list of install error messages is on http://virtuemart.net/documentation/User_Manual/Installation_FAQ.html

Normal server permissions for Joomla/VirtueMart are 755 for directories and 644 for files. If 777 is needed then move to a better host!
Kelvyn
Jenkin Hill Internet,
Keswick, Lake District

Unsolicited PMs/emails will be ignored.

Please mention your VirtueMart, Joomla and PHP versions when asking a question in this forum

Currently using VM2.6.6 on Joomla 2.5.22 PHP 5.4.21
On Vacation until mid-August

FrankA

  • Full Member
  • ***
  • Posts: 226
Re: I can not install virtuemart
« Reply #3 on: April 03, 2012, 23:41:13 pm »
777 will be needed on most VPS.

jenkinhill

  • Global Moderator
  • Super Hero
  • *
  • Posts: 20543
  • On vacation
    • Jenkin Hill Internet
Re: I can not install virtuemart
« Reply #4 on: April 04, 2012, 15:13:07 pm »
Not on mine....  As long as your VPS is running php as cgi or SuPHP you should not be required to use 777 with all its potential security issues. If set up with SuPHP (eg http://linuxhostingsupport.net/blog/how-to-install-and-enable-suphp-on-a-cpanel-server ) then no script would be permitted to in in a 777 directory.
Kelvyn
Jenkin Hill Internet,
Keswick, Lake District

Unsolicited PMs/emails will be ignored.

Please mention your VirtueMart, Joomla and PHP versions when asking a question in this forum

Currently using VM2.6.6 on Joomla 2.5.22 PHP 5.4.21
On Vacation until mid-August

FrankA

  • Full Member
  • ***
  • Posts: 226
Re: I can not install virtuemart
« Reply #5 on: April 04, 2012, 15:37:57 pm »
I bow to you knowledge. Will try and get hosting co to sort this. Auto install of 1.1.9 failed, but then so did a manual install... having an attempt at manual install is not going well despite changing entire site to 777. after getting

Quote
    Fatal Error: Something went wrong while RENAMING the VirtueMart CONFIGURATION FILE!
    Please rename /var/www/vhosts/scotlandsglass.co.uk/ztest/administrator/components/com_virtuemart/virtuemart.cfg-dist.php to /var/www/vhosts/scotlandsglass.co.uk/ztest/administrator/components/com_virtuemart/virtuemart.cfg.php manually!!


Something went wrong when trying to delete the file install.php!
You'll have to delete the file manually before being able to use VirtueMart!
The configuration file for VirtueMart is missing!
It should be here: /var/www/vhosts/scotlandsglass.co.uk/ztest/administrator/components/com_virtuemart/virtuemart.cfg.php

with no sign of that file, I uninstalled but now it is really going wrong, as manual install now says it is already installed. Deleted tables but now all I get is blank screen when I try to do manual install... aaarghh. I had succeeded by using the ecommerce edition but could not get vm off the front page - so deleted and went for separte joomla vm install. Highly frustrating.

jenkinhill

  • Global Moderator
  • Super Hero
  • *
  • Posts: 20543
  • On vacation
    • Jenkin Hill Internet
Re: I can not install virtuemart
« Reply #6 on: April 04, 2012, 17:00:44 pm »
You "could not get VM off the front page" - that is a simple Joomla menu change issue.....

Can I ask why, if this is a new site, you are not using the more recent Joomla 2.5 or VM2.0.2 version? Joomla 1.5 goes end of llife in a couple of weeks time.
Kelvyn
Jenkin Hill Internet,
Keswick, Lake District

Unsolicited PMs/emails will be ignored.

Please mention your VirtueMart, Joomla and PHP versions when asking a question in this forum

Currently using VM2.6.6 on Joomla 2.5.22 PHP 5.4.21
On Vacation until mid-August

FrankA

  • Full Member
  • ***
  • Posts: 226
Re: I can not install virtuemart
« Reply #7 on: April 04, 2012, 22:54:26 pm »
It is intended to be a test version of my site so that I can do a test of upgrade.

FrankA

  • Full Member
  • ***
  • Posts: 226
Re: I can not install virtuemart
« Reply #8 on: April 05, 2012, 22:41:23 pm »
Good news is the VPS host has changed the method of PHP parsing from Apache module to FastCGI. This has solved issue of image directories being unwritable unless 777. Tomorrow I will redo the test site installation and I guess that will go smoothly. Will report back. Hopefully this 'technical' solution is useful to others blighted by the problem but not fully understanding the complexity of server configuration! Not to mention a good result from hosting company.

FrankA

  • Full Member
  • ***
  • Posts: 226
Re: I can not install virtuemart
« Reply #9 on: April 06, 2012, 17:49:31 pm »
Test installation went well, except I had to unpack main zip and upload to temp, but that ran smoothly.

Only puzzle is plugins for 1.1.8 and 1.1.9 are included... will go look  for why. But if anyone knows why please comment here thanks...

VirtueMart Forum

Re: I can not install virtuemart
« Reply #9 on: April 06, 2012, 17:49:31 pm »